---
search:
  tags:
    - Themes
    - PUT
seo:
  description: >-
    Replaces the theme's global settings. Reference for the PUT
    /themes/{theme_id}/templates/settings endpoint in the Bolder API v2.
sidebar:
  label: Update theme settings
  badge: PUT
title: Update theme settings
type: openapi-operation
---
Replaces the theme's global settings.

`PUT /themes/{theme_id}/templates/settings`

**Request body** (`application/json`, required)

- `settings_json` (string, required) — JSON string containing the theme settings blob

Request body example:

```json
{
  "settings_json": "{\"color\":\"#ff0000\",\"font\":\"Helvetica\"}"
}
```

**Responses**

- `200` — Settings updated; returns the settings template stub
- `401` — Unauthorized
- `403` — Access denied
- `422` — Validation error

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": "string",
  "file_name": "layout.html",
  "path": "string",
  "body": "string",
  "is_section": true,
  "schema": {},
  "parent_commit": "string",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
